rte_flow_item_geneve(3)

NAME
rte_flow_item_geneve

SYNOPSIS

#include <rte_flow.h>

  Data Fields

rte_be16_t ver_opt_len_o_c_rsvd0
rte_be16_t protocol
uint8_t vni [3]
uint8_t rsvd1

Detailed Description

RTE_FLOW_ITEM_TYPE_GENEVE.

Matches a GENEVE header.

Definition at line 1334 of file rte_flow.h.

Field Documentation

  rte_be16_t ver_opt_len_o_c_rsvd0
Version (2b), length of the options fields (6b), OAM packet (1b), critical options present (1b), reserved 0 (6b).

Definition at line 1339 of file rte_flow.h.

  rte_be16_t protocol
Protocol type.

Definition at line 1340 of file rte_flow.h.

  uint8_t vni[3]
Virtual Network Identifier.

Definition at line 1341 of file rte_flow.h.

  uint8_t rsvd1
Reserved, normally 0x00.

Definition at line 1342 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.